Fetch a single run with its snapshot
curl --request GET \
--url https://api.kordio.io/ledger/v1/reconciliation_runs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kordio.io/ledger/v1/reconciliation_runs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kordio.io/ledger/v1/reconciliation_runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "reconciliation_run",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"matched_count": 123,
"unmatched_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"external_reference": "<string>",
"matched": [
{
"external_id": "<string>",
"posting_id": 123,
"account": "<string>",
"amount": "<string>",
"currency": "<string>",
"posting_value_date": "2023-11-07T05:31:56Z",
"external_at": "2023-11-07T05:31:56Z"
}
],
"unmatched_external": [
{}
],
"unmatched_internal": [
{}
]
}{
"error": {
"code": "not_found",
"message": "account not found",
"param": "id",
"docs_url": "https://docs.kordio.io/errors#not_found"
}
}Fetch a single run with its snapshot
GET
/
ledger
/
v1
/
reconciliation_runs
/
{id}
Fetch a single run with its snapshot
Authorizations
oauth2_readoauth2_write
OAuth 2.0 client_credentials grant. Send client_id:client_secret
as HTTP Basic, or as form fields. Tokens are HS256 JWTs valid for
one hour (configurable). Decode them at jwt.io.
Path Parameters
Response
Full run
Available options:
reconciliation_run Available options:
running, ready, completed Show child attributes
Show child attributes